//$Id: CommonViewRowSelection.js,v 1.2 2005/04/29 10:02:23 subramani Exp $
    function Toggle(frm, e)
    {
	if (e.checked) {
	    Highlight(e);
            if(frm.toggleAll)
            {
	       frm.toggleAll.checked = AllChecked(frm);
            }
	}
	else {
	    Unhighlight(e);
            if(frm.toggleAll)
	    {
	        frm.toggleAll.checked = false;
            }
	}
    }

    function ToggleAll(frm)
    {
	if (frm.toggleAll.checked) {
	    CheckAll(frm);
	}
	else {
	    ClearAll(frm);
	}
    }

    function Check(e)
    {
	e.checked = true;
	Highlight(e);
    }

    function Clear(e)
    {
	e.checked = false;
	Unhighlight(e);
    }

    function CheckAll(frm)
    {
	var len = frm.elements.length;
	for (var i = 0; i < len; i++) {
	    var e = frm.elements[i];
	    if (e.name == "rowSelection") {
		Check(e);
	    }
	}
	frm.toggleAll.checked = true;
    }

    function ClearAll(frm)
    {
	var len = frm.elements.length;
	for (var i = 0; i < len; i++) {
	    var e = frm.elements[i];
	    if (e.name == "rowSelection") {
		Clear(e);
	    }
	}
	frm.toggleAll.checked = false;
    }

    function Highlight(e)
    {
	var r = null;
	if (e.parentNode && e.parentNode.parentNode) {
	    r = e.parentNode.parentNode;
	}
	else if (e.parentElement && e.parentElement.parentElement) {
	    r = e.parentElement.parentElement;
	}
	if (r) {
        //        r.className = "selectedColor";
        
	    if (r.className == "oddRow") {
		r.className = "oddRowSelected";
	    }
	    else if (r.className == "evenRow") {
		r.className = "evenRowSelected";
	    }
	}
    }

    function Unhighlight(e)
    {
	var r = null;
	if (e.parentNode && e.parentNode.parentNode) {
	    r = e.parentNode.parentNode;
	}
	else if (e.parentElement && e.parentElement.parentElement) {
	    r = e.parentElement.parentElement;
	}
	if (r) {
        //        r.className = "deselectedColor";
       
	    if (r.className == "oddRowSelected") {
		r.className = "oddRow";
	    }
	    else if (r.className == "evenRowSelected") {
		r.className = "evenRow";
	    }
	}
    }

    function AllChecked(frm)
    {
	len = frm.elements.length;
	for(var i = 0 ; i < len ; i++) {
	    if (frm.elements[i].name == "rowSelection" && !frm.elements[i].checked) {
		return false;
	    }
	}
	return true;
    }
